void printl(long val);

int main()
{
  unsigned long i;

  for (i = -2; (long)i < 3; i++) {
    switch (i) {
    case 0:
      break;
    default:
      printl(i);
      break;
    }
  }

  return 0;
}
